In app notifications

Get Customer In-App Notifications

Get in-app notifications for the authenticated customer.

GET
/nudge/in-app-notifications/

Authorization

bearerAuth
AuthorizationBearer <token>

Customer JWT bearer authentication.

In: header

Query Parameters

isRead?string
Value in"true" | "false"
page*string
Default"1"
Match^[0-9]+$
size*string
Default"25"
Match^[0-9]+$

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.dokaai.com/api/v1/dokaai/nudge/in-app-notifications/?page=1&size=25"
{
  "status": "success",
  "message": "string",
  "data": [
    {
      "id": "string",
      "payload": {
        "title": "string",
        "subTitle": "string",
        "body": "string",
        "avatar": [
          {
            "iconURL": "string",
            "fallBackName": "string",
            "iconRedirectURL": "string"
          }
        ],
        "attachmentsImage": [
          {
            "iconURL": "string",
            "fallBackName": "string",
            "iconRedirectURL": "string"
          }
        ],
        "attachments": [
          {
            "type": "pdf",
            "fileName": "string",
            "url": "string"
          }
        ],
        "itemRedirect": "string",
        "tags": [
          {
            "tagName": "string",
            "url": "string",
            "icon": "string"
          }
        ],
        "actionButtons": {
          "primary": {
            "name": "string",
            "url": "string",
            "onclickAction": "navigate"
          },
          "secondary": {
            "name": "string",
            "url": "string",
            "onclickAction": "navigate"
          },
          "tertiary": {
            "name": "string",
            "url": "string",
            "onclickAction": "navigate"
          }
        }
      },
      "createdDate": "2019-08-24T14:15:22Z",
      "isRead": true,
      "productSpaceId": "string",
      "uniqueCustomerId": "string"
    }
  ],
  "metaData": {
    "page": 0,
    "hasMore": true,
    "pageSize": 0,
    "count": 0
  },
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}